#!/bin/sh

set -e

if [ upgrade != "$1" ] || dpkg --compare-versions "$2" lt 1.1~; then
    dpkg-divert --package lxc-android-config --add --rename \
        --divert /lib/systemd/system/systemd-udev-trigger-real.service \
        /lib/systemd/system/systemd-udev-trigger.service
fi

if [ install = "$1" -o upgrade = "$1" ]; then
    dpkg-divert --package lxc-android-config --add --rename \
        --divert /lib/udev/rules.d/50-firmware.rules.disabled \
        /lib/udev/rules.d/50-firmware.rules
    dpkg-divert --package lxc-android-config --add --rename \
        --divert /lib/udev/rules.d/60-persistent-v4l.rules.disabled \
        /lib/udev/rules.d/60-persistent-v4l.rules
    dpkg-divert --package lxc-android-config --add --rename \
        --divert /lib/udev/rules.d/90-alsa-restore.rules.disabled \
        /lib/udev/rules.d/90-alsa-restore.rules
    dpkg-divert --package lxc-android-config --add --rename \
        --divert /lib/udev/rules.d/90-alsa-ucm.rules.disabled \
        /lib/udev/rules.d/90-alsa-ucm.rules
fi

#DEBHELPER#
